
window.$event = {
	selectType: function (el, val) {
		$control.type = val;
		$control.loadList();
		var but = $api.first(el);
		var s_but = $api.dom(el.parentNode, ".theme-color-mid");
		var cls = but.className;
		but.className = s_but.className;
		s_but.className = cls;

    },
	openOrderDetail: function (id) {
        $appFun.openWin({
            name:"orderDet",
            url:"rebate_order_details.html",
			pageParam: {id: id},
            slidBackEnabled:false
        });
    }
};

window.$control = {
	limit: 10,
	page: 1,
	loadList: function () {
		$comm.loginPost_p($comm.api.rebateLog + "?m=get_lists", {
			limit: this.limit,
			page: this.page,
            rebate_status: $control.type
		}, function (data) {
			var innerHtml = this.parseData(data.result);
            if(this.page == 1 && this.count == 0){
                this.section.innerHTML = '<div class="nodata"><div class="nodata-cont"><div class="nodata-img"></div><p class="tc clr-gray nodata-word">您还没有任何记录哟</p></div></div>';
            } else {
                this.section.innerHTML += innerHtml;
                if(this.count < this.limit){
                    this.dixian.innerHTML = "我们是有底线的";
                    this.dixian.hidden = false;
                }
            }
        }, null, this);
    },
	parseData: function (data) {
		var html = "";
		var moneyName = $dataKey.getMoneyName();
		this.count = 0;
		for(var k in data){
			var node = data[k];
			var date = new Date(node.create_time);
			date.setDate(date.getDate() + 15);
			this.count++;
			html += '<div class="appeal-cont middles border-b" onclick="$event.openOrderDetail(\''+ node.order_no +'\')">' +
						'<div class="cont-top">' +
							'<div class="order-img">' +
								'<span><img src="'+node.pic_url+'" onerror="this.src=\''+ $dataKey.getDefaultImage() +'\'"></span>' +
							'</div>' +
							'<ul class="order-info">' +
								'<li class="fz26"><span class="iconfont fz26 clr-orange">&#xe623;</span>'+node.title+'</li>' +
								'<li class="theme-color-mid">¥<span class="fz30">'+node.pa_money+'</span> <span class="fz18"><span class="iconfont margin-right8 fz24">&#xe607;</span>'+node.rebate_money + moneyName +'</span></li>' +
								'<li class="clr-gray fz20">预计<span class="theme-color-mid">'+ date.format("MM月dd日") +'</span>返现到账</li>' +
							'</ul>' +
							'<span class="iconfont fz24 check clr-gray">&#xe630;</span>' +
						'</div>' +
						'<div class="cont-bot">' +
							'<p class="clr-gray fz22">淘宝 <span class="fr">'+node.create_time.substr(0, 10)+'</span></p>' +
							'<p class="clr-gray fz22">订单号：'+node.order_no+' <span class="theme-color-mid fr">'+(node.rebate_status==1 ? '已返' : '未返')+'</span></p>' +
						'</div>'+
					'</div>';
		}

		return html;
    }
};


apiready = function(){

    $control.section = $api.byId("sec");
    $control.dixian = $api.dom(".dixian");

	//加载筛选项
	$comm.loginPost_p($comm.api.rebateLog + "?m=option_list", {}, function (data) {
		var innerHtml = "";
		for(var k in data.result){
            if($control.type === undefined){
                $control.type = data.result[k].value;
                innerHtml += '<div class="flex-con" onclick="$event.selectType(this, \''+ data.result[k].value +'\')"><button class="theme-color-mid theme-border-b2">'+ data.result[k].name +'</button></div>';
            } else {
                innerHtml += '<div class="flex-con" onclick="$event.selectType(this, \''+ data.result[k].value +'\')"><button class="clr-gray">'+ data.result[k].name +'</button></div>';
			}
		}
		$api.byId("nav").innerHTML = innerHtml;
    });

    //加载列表项
    $control.loadList();

    // 上拉加载
    api.addEventListener({
        name: 'scrolltobottom'
    }, function (ret, err) {
    	if($control.count == $control.limit){
            $control.page++;
            $control.loadList();
		}
    });

    // 下拉刷新
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: 'rgba(255,255,255,1)',
        textColor: '#666',
        textDown: '下拉刷新',
        textUp: '释放刷新'
    }, function(ret, err){ //刷新回调
		window.location.reload();
        api.refreshHeaderLoadDone();
    });
};
    