

window.$event = {
	click: function (index) {
		$control.setSelectItem(index);
	}
};

window.$control = {
	el_item: [],
	selectIcon: ['&#xe61f;', '&#xe60c;', '&#xe605;', '&#xe603;', '&#xe611;'],
	icon: ['&#xe61f;', '&#xe60c;', '&#xe605;', '&#xe603;', '&#xe611;'],
	frameArray: ['home', 'rebate_search', 'find_best', 'super_rebate', 'member'],
	frameTitleArrayName: ['index_title', '', 'find_best_title', 'super_rebate_title', ''],
	currentIndex: 0,
	initFrameGroup: function () {
		var url = ['index.html', 'html/rebate_search/rebate_search.html', 'html/find_best/find_best.html',
			'html/super_rebate/super_rebate.html', 'html/member/member.html'];
		var th = $api.byId("index_title").offsetHeight;
		var titleH = [th, 0, th, th, 0];
		var bouncesArr = [true, false, true, true, false];
		//初始化内容frame
		for(var i = 0; i < 5; ++i){
		    var param = {
                name: this.frameArray[i],
                url: url[i],
                rect: {
                    x: 0,
                    y: titleH[i],
                    w: api.winWidth,
                    h: api.winHeight - titleH[i] - $api.dom("footer").offsetHeight
                },
                background: '#f9f9f9',
                bounces: bouncesArr[i]
            };
		    if(i == 1){
		        param.allowEdit = true;
            }
            api.openFrame(param);
		}

		url = ['index_title.html', '', 'html/find_best/find_best_title.html',
			'html/super_rebate/super_rebate_title.html', ''];
		//初始化顶部的标题
		for(i = 0; i < 5; ++i){
			if(this.frameTitleArrayName[i]){
                api.openFrame({
                    name: this.frameTitleArrayName[i],
                    url: url[i],
                    rect: {
                        x: 0,
                        y: 0,
                        w: api.winWidth,
                        h: titleH[i]
                    },
                    background: '#f9f9f9',
                    bounces: false
                });
			}
		}

		//打开一个空白的层，遮住后面的层
        api.openFrame({
            name: "blank",
            url: "blank.html",
            rect: {
                x: 0,
                y: 0,
                w: api.winWidth,
                h: api.winHeight - $api.dom("footer").offsetHeight
            },
            background: '#fff',
            bounces: false
        });

        api.bringFrameToFront({
            from: this.frameArray[0]
        });
		api.bringFrameToFront({
			from: this.frameTitleArrayName[0]
		});
	},
	setSelectItem : function (index) {
		if(index != this.currentIndex){
			this.el_item[this.currentIndex].removeAttribute("class");
			$api.eq(this.el_item[this.currentIndex], 1).innerHTML = this.icon[this.currentIndex];
			this.el_item[index].setAttribute("class", "theme-color-tb");
			$api.eq(this.el_item[index], 1).innerHTML = this.selectIcon[index];
			this.currentIndex = index;
            this.resume();
            api.bringFrameToFront({
            	from: "blank"
			});
            api.bringFrameToFront({
                from: this.frameArray[index]
            });
            api.bringFrameToFront({
                from: this.frameTitleArrayName[index]
            });
		}
	},
	
	resume: function () {
		api.execScript({
			name: api.winName,
			frameName: this.frameArray[this.currentIndex],
			script: 'try{window.$control.resume();}catch(e){}'
		});
	},
	pause: function () {
		
	}
};


apiready = function(){
    //获取导航的五个按钮
	for(var i = 1; i <= 5; ++i){
		var el = $api.byId('item'+i);
		$control.el_item.push(el);
	}
	//初始化frameGroup
	$control.initFrameGroup();

    //检查版本
    $comm.checkVersion();

    // var thb = api.require('thb');
    // thb.showDialog({
    //     msg: "测试模块功能是否能用",
    // });

    try {
        //开启阿里百川
        var alibaichuan = api.require('alibaichuan');
        alibaichuan.initTaeSDK({
            isvcode: "feelinglife"
        }, function (ret, err) {
            alibaichuan.getUserInfo(function(ret, err) {
                if (ret) {
                    console.log("用户信息 ret - " + JSON.stringify(ret));
                } else {
                    console.log("用户信息 err - " + JSON.stringify(err));
                }
            });
            if (ret) {
                console.log(JSON.stringify(ret));
            } else {
                console.log(JSON.stringify(err));
            }
        });
    } catch (e){}
};
